explain_mount_or_die(3)

NAME
explain_mount_or_die - mount file system and report errors

SYNOPSIS
#include <libexplain/mount.h>

void explain_mount_or_die(const char *source, const char *target, const char *file_systems_type, unsigned long flags, const void *data);
int explain_mount_on_error(const char *source, const char *target, const char *file_systems_type, unsigned long flags, const void *data);

DESCRIPTION
The explain_mount_or_die function is used to call the mount(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_mount(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_mount_on_error function is used to call the mount(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_mount(3) function, but still returns to the caller.

source
    The source, exactly as to be passed to the mount(2) system call.

target
    The target, exactly as to be passed to the mount(2) system call.

file_systems_type
    The file_systems_type, exactly as to be passed to the mount(2) system call.

flags
    The flags, exactly as to be passed to the mount(2) system call.

data
    The data, exactly as to be passed to the mount(2) system call.

RETURN VALUE
The explain_mount_or_die function only returns on success, see mount(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_mount_on_error function always returns the value return by the wrapped mount(2) system call.

EXAMPLE
The explain_mount_or_die function is intended to be used in a fashion similar to the following example:
    explain_mount_or_die(source, target, file_systems_type, flags, data);

SEE ALSO

mount(2)
    mount file system

explain_mount(3)
    explain mount(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller